> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization details

> Get details about organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/org/getOrg
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/org/getOrg:
    post:
      tags:
        - Org Webservice
      summary: Get organization details
      description: Get details about organization
      operationId: getOrg
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Org_GetOrgWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org_GetOrgWSResponse'
          description: OK
      deprecated: true
components:
  schemas:
    Org_GetOrgWSRequest:
      type: object
      description: Request object for getting organization details (deprecated).
    Org_GetOrgWSResponse:
      type: object
      description: Response object containing organization details (deprecated).
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        featureFlags:
          type: object
          additionalProperties:
            type: string
            description: Map of feature flags for the organization
            nullable: true
          description: Map of feature flags for the organization
          nullable: true
        org:
          $ref: '#/components/schemas/OrgType'
        warningMsg:
          type: string
          nullable: true
    OrgType:
      type: object
      description: Organization information to update
      properties:
        accountOwnerEmail:
          type: string
          nullable: true
        address1:
          type: string
          nullable: true
        address2:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        firmwareUpdateSettings:
          $ref: '#/components/schemas/FirmwareUpdateSettingsType'
        itemizedInvoice:
          type: boolean
          nullable: true
        mfaEnabled:
          type: boolean
          nullable: true
        name:
          type: string
          nullable: true
        newCameraFramerateMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        newCameraResolutionMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        newCameraSegmentMaxBytesMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        newCameraVideoTargetQualityMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        notificationSettings:
          $ref: '#/components/schemas/NotificationSettingsType'
        partnerAccessAllowedUntil:
          type: integer
          format: int32
          nullable: true
        planType:
          $ref: '#/components/schemas/PlanTypeEnum'
        postalCode:
          type: string
          nullable: true
        rbacSettings:
          $ref: '#/components/schemas/RBACSettingsType'
        samlSettings:
          $ref: '#/components/schemas/SAMLSettingsType'
        subscriptionEndDate:
          type: integer
          format: int64
          nullable: true
        subscriptionStatus:
          $ref: '#/components/schemas/SubscriptionStatusEnum'
        subscriptionType:
          $ref: '#/components/schemas/SubscriptionTypeEnum'
        supportAccessAllowedUntil:
          type: integer
          format: int32
          nullable: true
        teamName:
          type: string
          nullable: true
        type:
          $ref: '#/components/schemas/OrgTypeEnum'
        uapSettings:
          $ref: '#/components/schemas/UAPSettingsType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    FirmwareUpdateSettingsType:
      type: object
      nullable: true
      properties:
        intervalsV2:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareUpdateIntervalType'
          nullable: true
        mode:
          $ref: '#/components/schemas/FirmwareUpdateModeEnum'
    NotificationSettingsType:
      type: object
      properties:
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        slackChannel:
          type: string
          nullable: true
        slackEnabled:
          type: boolean
          nullable: true
        slackWebhookUrl:
          type: string
          nullable: true
    PlanTypeEnum:
      type: string
      enum:
        - TRIAL
        - STARTER
        - CUSTOM
    RBACSettingsType:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
    SAMLSettingsType:
      type: object
      properties:
        addUsersOnRoleMismatch:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        idpMetaDataXml:
          type: string
          nullable: true
        justInTimeAccountProvisioningEnabled:
          type: boolean
          nullable: true
    SubscriptionStatusEnum:
      type: string
      enum:
        - TRIAL
        - PAID
        - RESELLER
        - LOST
        - UNKNOWN
    SubscriptionTypeEnum:
      type: string
      enum:
        - STARTER
        - PROFESSIONAL
        - ENTERPRISE
        - UNKNOWN
    OrgTypeEnum:
      type: string
      enum:
        - PARTNER
        - CUSTOMER
        - UNKNOWN
    UAPSettingsType:
      type: object
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        text:
          type: string
          nullable: true
    FirmwareUpdateIntervalType:
      type: object
      nullable: true
      properties:
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
    FirmwareUpdateModeEnum:
      type: string
      enum:
        - MANUAL
        - SCHEDULED
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````